## Function `indexOf( array, item )`

Description:
  Returns the position in a supplied array at which a given item appears. The result is zero-based, so if the supplied `item` is the first entry in the `array`, the return value will be zero.

  If the item does not appear in the array, -1 is returned. If it appears multiple times, the index of its first appearance is returned.

  If `indexOf(array, item)==n`, then `array[n]` is equal to `item`.

  Note: This documents the `Object` version of the routine. Corresponding routines exist for other data types (`double`, `float`, `long`, `int`, `short`).

Parameters:
  `array` (array of Object)
    array which may contain the supplied item
  `item` (Object)
    entry to look for in the array

Return Value (integer):
  the index of `item` in `array`, or -1

Examples:
  - `indexOf(stringArray("QSO", "BCG", "SNR"), "BCG") = 1`
  - `indexOf(stringArray("QSO", "BCG", "SNR"), "TLA") = -1`

Signature:
  `int indexOf(Object[], Object)`